MySQL++ Reference Manual

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::BadConversion Class Reference

Exception thrown when a bad type conversion is attempted. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadConversion:

[legend]
Collaboration diagram for mysqlpp::BadConversion:

[legend]
List of all members.

## Public Methods
| BadConversion (const char *tn, const char *d, size_t r, size_t a)
| Create exception object, building error string dynamically.
| BadConversion (const std::string &w, const char *tn, const char *d, size_t r, size_t a)
| Create exception object, given completed error string.
| BadConversion (const char *w="")
| Create exception object, with error string only.
| ~BadConversion () throw ()
| Destroy exception.
## Public Attributes
const char * | type_name
| name of type we tried to convert to
std::string | data
| string form of data we tried to convert
size_t | retrieved
| documentation needed!
size_t | actual_size
| documentation needed!

## Detailed Description

Exception thrown when a bad type conversion is attempted.

## Constructor & Destructor Documentation

mysqlpp::BadConversion::BadConversion | ( | const char * | tn,
|  | const char * | d,
|  | size_t | r,
|  | size_t | a
| ) | `[inline]`

  | Create exception object, building error string dynamically. Parameters:
  tn | type name we tried to convert to
  d | string form of data we tried to convert
  r | ??
  a | ??

mysqlpp::BadConversion::BadConversion | ( | const std::string & | w,
|  | const char * | tn,
|  | const char * | d,
|  | size_t | r,
|  | size_t | a
| ) | `[inline]`

  | Create exception object, given completed error string. Parameters:
  w | the "what" error string
  tn | type name we tried to convert to
  d | string form of data we tried to convert
  r | ??
  a | ??

mysqlpp::BadConversion::BadConversion | ( | const char * | w = "" | ) | `[inline, explicit]`

  | Create exception object, with error string only. Parameters:
  w | the "what" error string
All other data members are initialize to default values

The documentation for this class was generated from the following file:

- exceptions.h